pcl::tracking::ParticleXYZRPY Struct Reference

`#include <pcl/tracking/impl/tracking.hpp>`

Inheritance diagram for pcl::tracking::ParticleXYZRPY:

## Public Member Functions

| ParticleXYZRPY ()
| ParticleXYZRPY (float _x, float _y, float _z)
| ParticleXYZRPY (float _x, float _y, float _z, float _roll, float _pitch, float _yaw)
void | sample (const std::vector< double > &mean, const std::vector< double > &cov)
void | zero ()
Eigen::Affine3f | toEigenMatrix () const
float | operator[] (unsigned int i)

## Static Public Member Functions

static int | stateDimension ()
static pcl::tracking::ParticleXYZRPY | toState (const Eigen::Affine3f &trans)

## Additional Inherited Members

Public Attributes inherited from pcl::tracking::_ParticleXYZRPY
| PCL_ADD_POINT4D
union {
struct {
float roll
float pitch
float yaw
float weight
} |
float data_c [4]
}; |

## Detailed Description

Definition at line 30 of file tracking.hpp.

## Constructor & Destructor Documentation

pcl::tracking::ParticleXYZRPY::ParticleXYZRPY | ( |  | ) |

inline

Definition at line 32 of file tracking.hpp.

References pcl::tracking::_ParticleXYZRPY::pitch, pcl::tracking::_ParticleXYZRPY::roll, and pcl::tracking::_ParticleXYZRPY::yaw.

pcl::tracking::ParticleXYZRPY::ParticleXYZRPY | ( | float | _x,
|  | float | _y,
|  | float | _z
| ) |  |

inline

Definition at line 38 of file tracking.hpp.

References pcl::tracking::_ParticleXYZRPY::pitch, pcl::tracking::_ParticleXYZRPY::roll, and pcl::tracking::_ParticleXYZRPY::yaw.

pcl::tracking::ParticleXYZRPY::ParticleXYZRPY | ( | float | _x,
|  | float | _y,
|  | float | _z,
|  | float | _roll,
|  | float | _pitch,
|  | float | _yaw
| ) |  |

inline

Definition at line 45 of file tracking.hpp.

References pcl::tracking::_ParticleXYZRPY::pitch, pcl::tracking::_ParticleXYZRPY::roll, and pcl::tracking::_ParticleXYZRPY::yaw.

## Member Function Documentation

float pcl::tracking::ParticleXYZRPY::operator[] | ( | unsigned int | i | ) |

inline

Definition at line 94 of file tracking.hpp.

References pcl::tracking::_ParticleXYZRPY::pitch, pcl::tracking::_ParticleXYZRPY::roll, and pcl::tracking::_ParticleXYZRPY::yaw.

void pcl::tracking::ParticleXYZRPY::sample | ( | const std::vector< double > & | mean,
|  | const std::vector< double > & | cov
| ) |  |

inline

Definition at line 56 of file tracking.hpp.

References pcl::tracking::_ParticleXYZRPY::pitch, pcl::tracking::_ParticleXYZRPY::roll, pcl::tracking::sampleNormal(), and pcl::tracking::_ParticleXYZRPY::yaw.

static int pcl::tracking::ParticleXYZRPY::stateDimension | ( |  | ) |

inline static

Definition at line 53 of file tracking.hpp.

Eigen::Affine3f pcl::tracking::ParticleXYZRPY::toEigenMatrix | ( |  | ) | const

inline

Definition at line 78 of file tracking.hpp.

References pcl::getTransformation(), pcl::tracking::_ParticleXYZRPY::pitch, pcl::tracking::_ParticleXYZRPY::roll, and pcl::tracking::_ParticleXYZRPY::yaw.

static pcl::tracking::ParticleXYZRPY pcl::tracking::ParticleXYZRPY::toState | ( | const Eigen::Affine3f & | trans | ) |

inline static

Definition at line 84 of file tracking.hpp.

References pcl::getTranslationAndEulerAngles().

void pcl::tracking::ParticleXYZRPY::zero | ( |  | ) |

inline

Definition at line 67 of file tracking.hpp.

References pcl::tracking::_ParticleXYZRPY::pitch, pcl::tracking::_ParticleXYZRPY::roll, and pcl::tracking::_ParticleXYZRPY::yaw.

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/tracking/include/pcl/tracking/impl/tracking.hpp